Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -19932,32 +33781,34 @@
   Tag ID                      Tag Name          Writable
   ------                      --------          --------
-  'abstract'                  Abstract          N
-  'author'                    Author            N
-  'classification'            Classification    N
-  'copyright'                 Copyright         N
+  'abstract'                  Abstract          no
+  'author'                    Author            no
+  'classification'            Classification    no
+  'content-language'          ContentLanguage   no
+  'copyright'                 Copyright         no
   'dc'                        DC                HTML dc
-  'description'               Description       N
-  'distribution'              Distribution      N
-  'doc-class'                 DocClass          N
-  'doc-rights'                DocRights         N
-  'doc-type'                  DocType           N
-  'formatter'                 Formatter         N
-  'generator'                 Generator         N
-  'googlebot'                 GoogleBot         N
+  'description'               Description       no
+  'distribution'              Distribution      no
+  'doc-class'                 DocClass          no
+  'doc-rights'                DocRights         no
+  'doc-type'                  DocType           no
+  'formatter'                 Formatter         no
+  'generator'                 Generator         no
+  'generatorversion'          GeneratorVersion  no
+  'googlebot'                 GoogleBot         no
   'http-equiv'                HTTP-equiv        HTML equiv
-  'keywords'                  Keywords          N+
-  'mssmarttagspreventparsing' NoMSSmartTags     N
+  'keywords'                  Keywords          no+
+  'mssmarttagspreventparsing' NoMSSmartTags     no
   'ncc'                       NCC               HTML ncc
   'o'                         Office            HTML Office
-  'originator'                Originator        N
-  'owner'                     Owner             N
+  'originator'                Originator        no
+  'owner'                     Owner             no
   'prod'                      Prod              HTML prod
-  'progid'                    ProgID            N
-  'rating'                    Rating            N
-  'refresh'                   Refresh           N
-  'resource-type'             ResourceType      N
-  'revisit-after'             RevisitAfter      N
-  'robots'                    Robots            N+
-  'title'                     Title             N
+  'progid'                    ProgID            no
+  'rating'                    Rating            no
+  'refresh'                   Refresh           no
+  'resource-type'             ResourceType      no
+  'revisit-after'             RevisitAfter      no
+  'robots'                    Robots            no+
+  'title'                     Title             no
   'vw96'                      VW96              HTML vw96
 
@@ -19968,19 +33819,19 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'contributor'        Contributor              N+
-  'coverage'           Coverage                 N
-  'creator'            Creator                  N+
-  'date'               Date                     N+
-  'description'        Description              N
-  'format'             Format                   N
-  'identifier'         Identifier               N
-  'language'           Language                 N+
-  'publisher'          Publisher                N+
-  'relation'           Relation                 N+
-  'rights'             Rights                   N
-  'source'             Source                   N
-  'subject'            Subject                  N+
-  'title'              Title                    N
-  'type'               Type                     N+
+  'contributor'        Contributor              no+
+  'coverage'           Coverage                 no
+  'creator'            Creator                  no+
+  'date'               Date                     no+
+  'description'        Description              no
+  'format'             Format                   no
+  'identifier'         Identifier               no
+  'language'           Language                 no+
+  'publisher'          Publisher                no+
+  'relation'           Relation                 no+
+  'rights'             Rights                   no
+  'source'             Source                   no
+  'subject'            Subject                  no+
+  'title'              Title                    no
+  'type'               Type                     no+
 
 =head3 HTML equiv Tags
@@ -19990,26 +33841,26 @@
   Tag ID                Tag Name                Writable
   ------                --------                --------
-  'cache-control'       CacheControl            N
-  'content-disposition' ContentDisposition      N
-  'content-language'    ContentLanguage         N
-  'content-script-type' ContentScriptType       N
-  'content-style-type'  ContentStyleType        N
-  'content-type'        ContentType             N
-  'default-style'       DefaultStyle            N
-  'expires'             Expires                 N
-  'ext-cache'           ExtCache                N
-  'imagetoolbar'        ImageToolbar            N
-  'lotus'               Lotus                   N
-  'page-enter'          PageEnter               N
-  'page-exit'           PageExit                N
-  'pics-label'          PicsLabel               N
-  'pragma'              Pragma                  N
-  'refresh'             Refresh                 N
-  'reply-to'            ReplyTo                 N
-  'set-cookie'          SetCookie               N
-  'site-enter'          SiteEnter               N
-  'site-exit'           SiteExit                N
-  'vary'                Vary                    N
-  'window-target'       WindowTarget            N
+  'cache-control'       CacheControl            no
+  'content-disposition' ContentDisposition      no
+  'content-language'    ContentLanguage         no
+  'content-script-type' ContentScriptType       no
+  'content-style-type'  ContentStyleType        no
+  'content-type'        ContentType             no
+  'default-style'       DefaultStyle            no
+  'expires'             Expires                 no
+  'ext-cache'           ExtCache                no
+  'imagetoolbar'        ImageToolbar            no
+  'lotus'               Lotus                   no
+  'page-enter'          PageEnter               no
+  'page-exit'           PageExit                no
+  'pics-label'          PicsLabel               no
+  'pragma'              Pragma                  no
+  'refresh'             Refresh                 no
+  'reply-to'            ReplyTo                 no
+  'set-cookie'          SetCookie               no
+  'site-enter'          SiteEnter               no
+  'site-exit'           SiteExit                no
+  'vary'                Vary                    no
+  'window-target'       WindowTarget            no
 
 =head3 HTML ncc Tags
@@ -20017,30 +33868,30 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'charset'            CharacterSet             N
-  'depth'              Depth                    N
-  'files'              Files                    N
-  'footnotes'          Footnotes                N
-  'generator'          Generator                N
-  'kbytesize'          KByteSize                N
-  'maxpagenormal'      MaxPageNormal            N
-  'multimediatype'     MultimediaType           N
-  'narrator'           Narrator                 N
-  'pagefront'          PageFront                N
-  'pagenormal'         PageNormal               N
-  'pagespecial'        PageSpecial              N
-  'prodnotes'          ProdNotes                N
-  'produceddate'       ProducedDate             N
-  'producer'           Producer                 N
-  'revision'           Revision                 N
-  'revisiondate'       RevisionDate             N
-  'setinfo'            SetInfo                  N
-  'sidebars'           Sidebars                 N
-  'sourcedate'         SourceDate               N
-  'sourceedition'      SourceEdition            N
-  'sourcepublisher'    SourcePublisher          N
-  'sourcerights'       SourceRights             N
-  'sourcetitle'        SourceTitle              N
-  'tocitems'           TOCItems                 N
-  'totaltime'          Duration                 N
+  'charset'            CharacterSet             no
+  'depth'              Depth                    no
+  'files'              Files                    no
+  'footnotes'          Footnotes                no
+  'generator'          Generator                no
+  'kbytesize'          KByteSize                no
+  'maxpagenormal'      MaxPageNormal            no
+  'multimediatype'     MultimediaType           no
+  'narrator'           Narrator                 no
+  'pagefront'          PageFront                no
+  'pagenormal'         PageNormal               no
+  'pagespecial'        PageSpecial              no
+  'prodnotes'          ProdNotes                no
+  'produceddate'       ProducedDate             no
+  'producer'           Producer                 no
+  'revision'           Revision                 no
+  'revisiondate'       RevisionDate             no
+  'setinfo'            SetInfo                  no
+  'sidebars'           Sidebars                 no
+  'sourcedate'         SourceDate               no
+  'sourceedition'      SourceEdition            no
+  'sourcepublisher'    SourcePublisher          no
+  'sourcerights'       SourceRights             no
+  'sourcetitle'        SourceTitle              no
+  'tocitems'           TOCItems                 no
+  'totaltime'          Duration                 no
 
 =head3 HTML Office Tags
@@ -20050,25 +33901,25 @@
   Tag ID                 Tag Name               Writable
   ------                 --------               --------
-  'Author'               Author                 N
-  'Category'             Category               N
-  'Characters'           Characters             N
-  'CharactersWithSpaces' CharactersWithSpaces   N
-  'Company'              Company                N
-  'Created'              CreateDate             N
-  'Description'          Description            N
-  'Keywords'             Keywords               N
-  'LastAuthor'           LastAuthor             N
-  'LastPrinted'          LastPrinted            N
-  'LastSaved'            ModifyDate             N
-  'Lines'                Lines                  N
-  'Manager'              Manager                N
-  'Pages'                Pages                  N
-  'Paragraphs'           Paragraphs             N
-  'Revision'             RevisionNumber         N
-  'Subject'              Subject                N
-  'Template'             Template               N
-  'TotalTime'            TotalEditTime          N
-  'Version'              RevisionNumber         N
-  'Words'                Words                  N
+  'Author'               Author                 no
+  'Category'             Category               no
+  'Characters'           Characters             no
+  'CharactersWithSpaces' CharactersWithSpaces   no
+  'Company'              Company                no
+  'Created'              CreateDate             no
+  'Description'          Description            no
+  'Keywords'             Keywords               no
+  'LastAuthor'           LastAuthor             no
+  'LastPrinted'          LastPrinted            no
+  'LastSaved'            ModifyDate             no
+  'Lines'                Lines                  no
+  'Manager'              Manager                no
+  'Pages'                Pages                  no
+  'Paragraphs'           Paragraphs             no
+  'Revision'             RevisionNumber         no
+  'Subject'              Subject                no
+  'Template'             Template               no
+  'TotalTime'            TotalEditTime          no
+  'Version'              RevisionNumber         no
+  'Words'                Words                  no
 
 =head3 HTML prod Tags
@@ -20076,6 +33927,6 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'recengineer'        RecEngineer              N
-  'reclocation'        RecLocation              N
+  'recengineer'        RecEngineer              no
+  'reclocation'        RecLocation              no
 
 =head3 HTML vw96 Tags
@@ -20083,5 +33934,141 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'objecttype'         ObjectType               N
+  'objecttype'         ObjectType               no
+
+=head2 Palm Tags
+
+Information extracted from Palm database files (PDB and PRC extensions),
+Mobipocket electronic books (MOBI), and Amazon Kindle KF7 and KF8 books (AZW
+and AZW3).
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    DatabaseName                         no
+      9    CreateDate                           no
+     10    ModifyDate                           no
+     11    LastBackupDate                       no
+     12    ModificationNumber                   no
+     15    PalmFileType                         no
+
+=head3 Palm MOBI Tags
+
+Information extracted from the MOBI header of Mobipocket and Amazon Kindle
+KF7 and KF8 files.
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    Compression                          no
+      1    UncompressedTextLength               no
+      3    Encryption                           no
+      6    MobiType                             no
+      7    CodePage                             no
+      9    MobiVersion                          no
+     21    BookName                             no
+     26    MinimumVersion                       no
+
+=head3 Palm EXTH Tags
+
+Information extracted from the MOBI extended header.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0001   DRMServerID                          no
+  0x0002   DRMCommerceID                        no
+  0x0003   DRM_E-BookBaseID                     no
+  0x0064   Author                               no
+  0x0065   Publisher                            no
+  0x0066   Imprint                              no
+  0x0067   Description                          no
+  0x0068   ISBN                                 no
+  0x0069   Subject                              no+
+  0x006a   PublishDate                          no
+  0x006b   Review                               no
+  0x006c   Contributor                          no
+  0x006d   Rights                               no
+  0x006e   SubjectCode                          no
+  0x006f   BookType                             no
+  0x0070   Source                               no
+  0x0071   ASIN                                 no
+  0x0072   BookVersion                          no
+  0x0073   SampleFlag                           no
+  0x0074   StartReading                         no
+  0x0075   Adult                                no
+  0x0076   RetailPrice                          no
+  0x0077   RetailPriceCurrency                  no
+  0x007d   ResourceCount                        no
+  0x0081   KF8CoverURI                          no
+  0x00c8   DictionaryShortName                  no
+  0x00cc   CreatorSoftware                      no
+  0x00cd   CreatorMajorVersion                  no
+  0x00ce   CreatorMinorVersion                  no
+  0x00cf   CreatorBuildNumber                   no
+  0x00d0   Watermark                            no
+  0x00d1   Tamper-proofKeys                     no
+  0x0191   ClippingLimit                        no
+  0x0192   PublisherLimit                       no
+  0x0194   TextToSpeech                         no
+  0x0195   RentalFlag                           no
+  0x0196   RentalExpirationDate                 no
+  0x01f5   CDEType                              no
+  0x01f6   LastUpdateTime                       no
+  0x01f7   UpdatedTitle                         no
+  0x01f8   ASIN2                                no
+  0x020c   Language                             no
+  0x020d   Alignment                            no
+  0x0217   CreatorBuildNumber2                  no
+
+=head2 Torrent Tags
+
+Below are tags commonly found in BitTorrent files.  As well as these tags,
+any other existing tags will be extracted.  For convenience, list items are
+expanded into individual tags with an index in the tag name, but only the
+tags with index "1" are listed in the tables below.  See
+L<https://wiki.theory.org/BitTorrentSpecification> for the BitTorrent
+specification.
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'announce'           Announce                 no
+  'announce-list'      AnnounceList1            no
+  'comment'            Comment                  no
+  'created by'         Creator                  no
+  'creation date'      CreateDate               no
+  'encoding'           Encoding                 no
+  'info'               Info                     Torrent Info
+  'url-list'           URLList1                 no
+
+=head3 Torrent Info Tags
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'file-duration'      File1Duration            no
+  'file-media'         File1Media               no
+  'files'              Files                    Torrent Files
+  'length'             Length                   no
+  'md5sum'             MD5Sum                   no
+  'name'               Name                     no
+  'name.utf-8'         NameUTF-8                no
+  'piece length'       PieceLength              no
+  'pieces'             Pieces                   no
+  'private'            Private                  no
+  'profiles'           Profiles                 Torrent Profiles
+
+=head3 Torrent Files Tags
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'length'             File1Length              no
+  'md5sum'             File1MD5Sum              no
+  'path'               File1Path                no
+  'path.utf-8'         File1PathUTF-8           no
+
+=head3 Torrent Profiles Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'acodec' Profile1AudioCodec                   no
+  'height' Profile1Height                       no
+  'vcodec' Profile1VideoCodec                   no
+  'width'  Profile1Width                        no
 
 =head2 EXE Tags
@@ -20092,18 +34079,19 @@
 DLL libraries.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    MachineType                          N
-      2    TimeStamp                            N
-     10    PEType                               N
-     11    LinkerVersion                        N
-     12    CodeSize                             N
-     14    InitializedDataSize                  N
-     16    UninitializedDataSize                N
-     18    EntryPoint                           N
-     30    OSVersion                            N
-     32    ImageVersion                         N
-     34    SubsystemVersion                     N
-     44    Subsystem                            N
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    MachineType                          no
+      2    TimeStamp                            no
+      9    ImageFileCharacteristics             no
+     10    PEType                               no
+     11    LinkerVersion                        no
+     12    CodeSize                             no
+     14    InitializedDataSize                  no
+     16    UninitializedDataSize                no
+     18    EntryPoint                           no
+     30    OSVersion                            no
+     32    ImageVersion                         no
+     34    SubsystemVersion                     no
+     44    Subsystem                            no
 
 =head3 EXE PEVersion Tags
@@ -20112,13 +34100,13 @@
 files.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    FileVersionNumber                    N
-      4    ProductVersionNumber                 N
-      6    FileFlagsMask                        N
-      7    FileFlags                            N
-      8    FileOS                               N
-      9    ObjectFileType                       N
-     10    FileSubtype                          N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      2    FileVersionNumber                    no
+      4    ProductVersionNumber                 no
+      6    FileFlagsMask                        no
+      7    FileFlags                            no
+      8    FileOS                               no
+      9    ObjectFileType                       no
+     10    FileSubtype                          no
 
 =head3 EXE PEString Tags
@@ -20130,21 +34118,21 @@
   Tag Name                                      Writable
   --------                                      --------
-  BuildDate                                     N
-  BuildVersion                                  N
-  CharacterSet                                  N
-  Comments                                      N
-  CompanyName                                   N
-  Copyright                                     N
-  FileDescription                               N
-  FileVersion                                   N
-  InternalName                                  N
-  LanguageCode                                  N
-  LegalCopyright                                N
-  LegalTrademarks                               N
-  OriginalFilename                              N
-  PrivateBuild                                  N
-  ProductName                                   N
-  ProductVersion                                N
-  SpecialBuild                                  N
+  BuildDate                                     no
+  BuildVersion                                  no
+  CharacterSet                                  no
+  Comments                                      no
+  CompanyName                                   no
+  Copyright                                     no
+  FileDescription                               no
+  FileVersion                                   no
+  InternalName                                  no
+  LanguageCode                                  no
+  LegalCopyright                                no
+  LegalTrademarks                               no
+  OriginalFileName                              no
+  PrivateBuild                                  no
+  ProductName                                   no
+  ProductVersion                                no
+  SpecialBuild                                  no
 
 =head3 EXE MachO Tags
@@ -20155,10 +34143,11 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    CPUArchitecture                      N
-      1    CPUByteOrder                         N
-      2    CPUCount                             N
-      3    CPUType                              N+
-      4    CPUSubtype                           N+
-      5    ObjectFileType                       N
+      0    CPUArchitecture                      no
+      1    CPUByteOrder                         no
+      2    CPUCount                             no
+      3    CPUType                              no+
+      4    CPUSubtype                           no+
+      5    ObjectFileType                       no
+      6    ObjectFlags                          no
 
 =head3 EXE PEF Tags
@@ -20167,9 +34156,9 @@
 libraries.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    CPUArchitecture                      N
-      3    PEFVersion                           N
-      4    TimeStamp                            N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      2    CPUArchitecture                      no
+      3    PEFVersion                           no
+      4    TimeStamp                            no
 
 =head3 EXE ELF Tags
@@ -20177,10 +34166,27 @@
 Information extracted from ELF (Unix) executable files and SO libraries.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      4    CPUArchitecture                      N
-      5    CPUByteOrder                         N
-     16    ObjectFileType                       N
-     18    CPUType                              N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    CPUArchitecture                      no
+      5    CPUByteOrder                         no
+     16    ObjectFileType                       no
+     18    CPUType                              no
+
+=head3 EXE AR Tags
+
+Information extracted from static libraries.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     16    CreateDate                           no
+
+=head3 EXE CHM Tags
+
+Tags extracted from Microsoft Compiled HTML files.
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    CHMVersion                           no
+      5    LanguageCode                         no
 
 =head2 LNK Tags
@@ -20188,22 +34194,22 @@
 Information extracted from MS Shell Link (Windows shortcut) files.
 
-   Index       Tag Name                         Writable
-   -----       --------                         --------
-         20    Flags                            N
-         24    FileAttributes                   N
-         28    CreateDate                       N
-         36    AccessDate                       N
-         44    ModifyDate                       N
-         52    TargetFileSize                   N
-         56    IconIndex                        N
-         60    RunWindow                        N
-         64    HotKey                           N
-  0x00010000   ItemID                           LNK ItemID
-  0x00020000   LinkInfo                         LNK LinkInfo
-  0x00030004   Description                      N
-  0x00030008   RelativePath                     N
-  0x00030010   WorkingDirectory                 N
-  0x00030020   CommandLineArguments             N
-  0x00030040   IconFileName                     N
+  Index1       Tag Name                         Writable
+  ------       --------                         --------
+  0x0014       Flags                            no
+  0x0018       FileAttributes                   no
+  0x001c       CreateDate                       no
+  0x0024       AccessDate                       no
+  0x002c       ModifyDate                       no
+  0x0034       TargetFileSize                   no
+  0x0038       IconIndex                        no
+  0x003c       RunWindow                        no
+  0x0040       HotKey                           no
+  0x10000      ItemID                           LNK ItemID
+  0x20000      LinkInfo                         LNK LinkInfo
+  0x30004      Description                      no
+  0x30008      RelativePath                     no
+  0x30010      WorkingDirectory                 no
+  0x30020      CommandLineArguments             no
+  0x30040      IconFileName                     no
   0xa0000000   UnknownData                      LNK UnknownData
   0xa0000001   EnvVarData                       LNK UnknownData
@@ -20227,7 +34233,7 @@
 =head3 LNK Item0032 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-     14    TargetFileDOSName                    N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     14    TargetFileDOSName                    no
 
 =head3 LNK LinkInfo Tags
